using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.Net.Sockets;
using System.Collections;

namespace CFPingProject
{
    public class PingReplay
    {
        private IPAddress replyIP = null;
        private double rtt;
        private int identifier;
        private int type;
        private int code;
        private bool timeOut = false;

        public PingReplay(string _replyIP, double _rtt, int _identifier, int _type, int _code, bool _timeOut ) 
        {
            replyIP = IPAddress.Parse(_replyIP);
            rtt = _rtt;
            identifier = _identifier;
            type = _type; 
            code = _code;
            timeOut = _timeOut; 
        }

        public string ReplyIP
        {
            get
            {
                return replyIP.ToString();
            }
            set
            {
                replyIP = IPAddress.Parse(value);
            }
        }

        public double Rtt
        {
            get
            {
                return rtt;
            }

            set
            {
                rtt = value;
            }
        }

        public int Identifier
        {
            get
            {
                return identifier;
            }

            set
            {
                identifier = value;
            }
        }

        public int Type
        {
            get
            {
                return type;
            }
            set
            {
                type = value;
            }
        }

        public int Code
        {
            get 
            {
                return code;
            }
            set
            {
                code = value;
            }
        }

        public bool TimeOut
        {
            get
            {
                return timeOut;
            }
            set
            {
                timeOut = value;
            }
        }
    }
}